function p.get_is_solid() return false end
function p.get_tex() return "" end

function p.main()
    set_default_block("e")

    local msg_str = "In the main package of Fractal Block World 1 (xar), "
        .. "text boxes are \"basic entities\".\n\n"
        .. "In this package, text boxes are blocks.\n\n"
        .. "Take a look at WorldNodes/Nodes/CubesSmart/block_txt.lua\n"
        .. "to see how the text box type block works.\n\n"
        .. "You can create a text box by adding the line\n"
        .. "set_pos(x,y,z, \"block_txt\")\n"
        .. "to the main function of a block script.\n\n"
        .. "You can instead use set_pos(x,y,z, \"txt\") "
        .. "because the engine will add \"block_\" when looking for "
        .. "a block.\n\n"
        .. "You then add the line\n"
        .. "block_set_s(x,y,z, \"txt\", \"Add message here.\")\n"
        .. "to set the message of the text box. "
    h.txt(7,7,3, msg_str)

    msg_str = "Alternately, you can use the helper function "
        .. "\"txt\" in WorldNodes/Helpers/h.lua to create a text box "
        .. "with a message.\n\n"
        .. "For example, your main function on your block script "
        .. "would have the following line:\n\n"
        .. "^x00ff00h.txt(x,y,z, \"Add message here.\")^!"
    h.txt(7,7,1, msg_str)
end
